jockey-gtk crashed with TypeError in _execute_child(): execv() arg 2 must contain only strings

Bug #804662 reported by Ari Torres on 2011-07-02
This bug affects 260 people
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
High
Martin Pitt
Precise
High
Martin Pitt
nvidia-common (Ubuntu)
High
Alberto Milone
Precise
High
Alberto Milone

Bug Description

just came up during ATI driver installation

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: jockey-gtk 0.9.2-0ubuntu7
ProcVersionSignature: Ubuntu 3.0-2.3-generic-pae 3.0.0-rc4
Uname: Linux 3.0-2-generic-pae i686
NonfreeKernelModules: fglrx
Architecture: i386
Date: Sat Jul 2 04:31:30 2011
ExecutablePath: /usr/bin/jockey-gtk
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110701)
InterpreterPath: /usr/bin/python2.7
MachineType: System manufacturer System Product Name
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/jockey-gtk
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0-2-generic-pae root=UUID=69fb0a75-ad30-41d2-a270-fa5b2ac7d56d ro quiet splash vt.handoff=7
PythonArgs: ['/usr/bin/jockey-gtk']
SourcePackage: jockey
Title: jockey-gtk crashed with TypeError in _execute_child(): execv() arg 2 must contain only strings
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/14/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0906
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A785-M
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0906:bd04/14/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A785-M:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Ari Torres (kuvanito) wrote :
tags: removed: need-duplicate-check
visibility: private → public
Blümchen Blau (bluemchen-blau) wrote :

Crash happened during the try to install fglrx through jockey-gtk.

jerrylamos (jerrylamos) wrote :

Fresh install of precise pangolin Alpha 1 still occurring.

Jerry

J Cord (j7cord) wrote :

Fresh install ubuntu 12.04 precise occurring at additional driver ati update install

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in jockey (Ubuntu):
status: New → Confirmed
Changed in jockey (Ubuntu):
status: Confirmed → Fix Released
Changed in jockey (Ubuntu):
assignee: nobody → Oem Defender (oem-defender)
Ganis (ganis-supriadi) on 2012-02-12
Changed in jockey (Ubuntu):
assignee: Oem Defender (oem-defender) → Ganis (ganis-supriadi)
Martin Lindhe (martinlindhe) wrote :

I hit this issue today with a sparkling new & fully updated install, so i disagree this is issue is fixed

Yaswant Pradhan (p-yaswant) wrote :

Same here, I installed (and updated) Precise RC alpha-2 and daily build twice last week, but this bug is still present. As a side effect (I think) video players crashed and logged me out of the system.

SYSTEM=Dell Studio-1558
DISTRIB_DESCRIPTION="Ubuntu precise (development branch)"
Linux version 3.2.0-15-generic (buildd@crested) (gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-12ubuntu1) ) #24-Ubuntu SMP Tue Feb 7 22:32:19 UTC 2012
#24-Ubuntu SMP Tue Feb 7 22:32:19 UTC 2012 x86_64 x86_64 GNU/Linux

Deon Rodden (glitch-m) wrote :
Download full text (5.2 KiB)

This issue still persists. I've been using Ubuntu 12.04 since Alpha 1 and been doing an update/full-upgrade every other day. Yesterday it wanted to uninstall over 200+ packages, I waited until today and it still wanted to do it so I finally let it. When I got back into the GUI, and went to Additional drivers, the ATI driver was no longer activated, it was before. When I went to activate ATI Post-Release-Updates (again, I have done this in the past) it errors out against jockey.

System=Dell Optiplex 980
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu precise (development branch)"

Linux opti980 3.2.0-15-generic #24-Ubuntu SMP Tue Feb 7 22:32:19 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

opti980:~$ lspci
00:00.0 Host bridge: Intel Corporation Core Processor DMI (rev 11)
00:03.0 PCI bridge: Intel Corporation Core Processor PCI Express Root Port 1 (rev 11)
00:08.0 System peripheral: Intel Corporation Core Processor System Management Registers (rev 11)
00:08.1 System peripheral: Intel Corporation Core Processor Semaphore and Scratchpad Registers (rev 11)
00:08.2 System peripheral: Intel Corporation Core Processor System Control and Status Registers (rev 11)
00:10.0 System peripheral: Intel Corporation Core Processor QPI Link (rev 11)
00:10.1 System peripheral: Intel Corporation Core Processor QPI Routing and Protocol Registers (rev 11)
00:19.0 Ethernet controller: Intel Corporation 82578DM Gigabit Network Connection (rev 05)
00:1a.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 05)
00:1d.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV620 LE [Radeon HD 3450]
3f:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-Core Registers (rev 04)
3f:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 04)
3f:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 04)
3f:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 04)
3f:03.0 Host bridge: Intel Corporation Core Processor Integrated Memory Controller (rev 04)
3f:03.1 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Target Address Decoder (rev 04)
3f:03.4 Host bridge: Intel Corporation Core Processor Integrated Memory Controller Test Registers (rev 04)
3f:04.0 Host bridge: Intel Corporation Core Processor I...

Read more...

Deon Rodden (glitch-m) wrote :

FYI I can install the regular ATI Proprietary driver without fail. I was able to activate the non post-release-updates version and after reboot it was active. I then tried again to select the post-release-updates version and this time no crash; it downloaded a few things and then that was it. No installation, no reboot message, etc. just sat there. I rebooted and it still wasn't active. I then was able to activate the non post-release-update version again.

HABIBXINZO (habibab12) wrote :

motherboard GA-Z68MA-D2H-B3 &Grafic card ATI (ASUS)6750. SO UBUNTU 12.04 .After instalation 12.04 > updates >restart >controls hardware > FGLRX PROPORTY ATI/AMD.

Victor Costan (costan) wrote :

Got this bug today (at least apport is claiming it's this bug!) after having installed 12.04 daily.

deuce (azinas) wrote :

I'm having the same problem as:
"Yaswant Pradhan (p-yaswant) wrote on 2012-02-13: #7
Same here, I installed (and updated) Precise RC alpha-2 and daily build twice last week, but this bug is still present. As a side effect (I think) video players crashed and logged me out of the system."

I don't know if this is the reason for session crashing, but I am unable to play any video with any player, and although I can send and view MY webcam, I cannot view the webcam of others on skype. flash works fine.

VladimirF (vif) wrote :

Когда уже, наконец, будет хоть один нормальный драйвер ????? НЕВОЗМОЖНО УСТАНОВИТЬ НИКАК НИ НОВЫЙ, НИ СТАРЫЙ !!!! ОШИБКА ОДНА И ТА ЖЕ... ИЛИ ВСЕМ ОТКАЗЫВАТЬСЯ ОТ ВИДЕОКАРТ ATI-AMD HD... ??? и МЕНЯТЬ НА GeFORGE...????!!!!

1 comments hidden view all 130 comments
andrew (andres92) wrote :

Согласен, разрабы не содействуют юзверям(

John Perry (jjperry) wrote :

I get the following error messages from the terminal window (when I run jockey-gtk from the command line):

Traceback (most recent call last):
  File "/usr/bin/jockey-gtk", line 382, in on_button_toggle_clicked
    'toggle', False):
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 670, in set_handler_enable
    handler_id, enable)
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 98, in convert_dbus_exceptions
    return fn(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 90, in dbus_sync_call_signal_wrapper
    raise _h_exception_exc
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 337, in _f_result_wrapper
    self._f_result = f()
  File "/usr/share/jockey/handlers/fglrx.py", line 95, in enable
    self._other_alternatives.set_alternative(other_fglrx_alternative)
  File "/usr/lib/python2.7/dist-packages/NvidiaDetector/alternatives.py", line 130, in set_alternative
    self._master_link, path])
  File "/usr/lib/python2.7/subprocess.py", line 506, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib/python2.7/subprocess.py", line 493, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
    errread, errwrite)
  File "/usr/lib/python2.7/subprocess.py", line 1249, in _execute_child
    raise child_exception
TypeError: execv() arg 2 must contain only strings

John Perry (jjperry) wrote :

Adding: I get the TypeError only when I try to install the "post-release updates" driver.
I also tried with different locales in case the problem is specific to locale/translation; the problem is NOT specific to locales.

Installing the release FGLRX driver works fine.

Torma Sándor (torma82) wrote :

I get the TypeError only when I try to install the "post-release updates" driver. Installing the release FGLRX driver works fine, but during user logon I've got some vertical white-black stripes in full screen for a few seconds. I've never experienced this "striping" problem during the common use.

vita (vita038) wrote :

После установки системы нижний из списка драйвер установился без проблем, а сегодня при проверке наличия драйвера выдается информация, что ни один из двух предложенных драйверов не активирован. Странно :(

HABIBXINZO (habibab12) wrote :

PROBLUMS amd ati

Andree (dreewill) wrote :

flgrx driver worked fine until i did a apt-get dist-upgrade. A huge bunch of updated packages were installed. i shut down my laptop and started it later again. Then i recognized that i had no 3d support and figured out that the fglrx driver wasn't activated any longer. I activated the fglrx (post release update) driver and the crash report started.

KrzysiekT (cytruss-xl) wrote :

same problem like in comment #17

meanpt (meanpt) wrote :

it seems the ati driver is already installed but the application named "additional drivers" can't see it; at tbe same time, the application amd caltalyst reports:

No AMD graphics driver is installed, or the AMD driver is not functioning properly.
Please install the AMD driver appropriate for you AMD hardware, or configure using aticonfi

In precise it affects me.

vikash (vika.sh) wrote :

Affects me as well.

cliff tinker (cliff5555) wrote :

Every time i try to play video as soon as it starts to play the app crashes and i am loged out. tihis occurs with totem, miro, VLC with minitube it produced a system crash. when i rebooted it had uninstalled the display driver. my system will onty install the standard ati driver if i try to install the post release updates the hardware installer crashes.

KrzysiekT (cytruss-xl) wrote :

like in #26 affects me as well

у всех нормально дрова не палят на 12.04??

Changed in jockey (Ubuntu):
assignee: Ganis (ganis-supriadi) → Александр (symbian0290)
jonasan (jon-cope-email) wrote :

now affecting me in 12.04

medinefamily (medinefamily) wrote :

where is the fix? All I see is the bug

Changed in jockey (Ubuntu):
assignee: Александр (symbian0290) → medinefamily (medinefamily)
Morten Holmstrup (robotjox) wrote :

#26 - exactly the same for me.

Géza Búza (medve) wrote :

It is still an issue in 12.04 Beta1.
If I select to install the propietry driver it works well, but installing the open source version fails.

tags: added: precise
cain (streetgal) wrote :

This is a nuisance for me in Precise as well. My temporary workaround in VLC is to set Video Output Module to X11 in Advanced Settings under Video > Output Module

Anders Ekberg (henry-ekberg) wrote :

Still an issue even after the update pf jockey-gtk today.
Now in addition after the update corresponding to Beta1, I have a complete crash/restart everytime I try to open a movie in MoviePlayer or VLC. 64-bit preciseon HP Pavillion g7 with AMD A4-3300M APU with Radeon(tm) HD Graphics × 2.

Probe (rjohnpritchard) wrote :

Real problems with Asus Radeon HD EAH6770 and Skype video. On opposite party going to video, crashes Skype and goes to Ubuntu login. Skype chat works fine before then. No problems on 11.10

meanpt (meanpt) wrote :

Still unable to install the post release ati drive after yesterday's jockey update.
When installing the release drive, only unity 2d works and the ati catalyst can't run, reporting a missing driver or a driver not working properly.
When no ati drivers are installed, I get both unity 2D and3D working. In this case, I don't know which graphics card is being used (there is an intel gma for lower power consumtpion and an ati hd radeon mobility 5400), neither the driver being used.
System: hp touchsmart tm2 core-i3 U380. 1.33 Gz

vita (vita038) wrote :

У меня такая же проблема, как в сообщении # 26. Даже после обновления ядра до 3.2.0.18 ничего не изменилось!

ellis booker (ellisbooker) wrote :

"On opposite party going to video, crashes Skype and goes to Ubuntu login. Skype chat works fine before then. No problems on 11.10"

Getting the same problem. I'm on an AMD 64bit release of 12.04 Beta . Tried removing the proprietary driver (ATI/AMD FGLRX) and the problem persisted. But that was a few days back, and a lot of updates ago. I'm reactivating the driver (the post release driver never worked for me, not even in 11.10) and checking on the crash issue.

Release 12.04 (precise) 64-bit
Kernel Linux 3.2.0-18-generic
GNOME 3.3.91
Memory: 3.6 GiB
Processor: AMD Phenom(tm) II X2 B53 Processor × 2

ellis booker (ellisbooker) wrote :

In addition, Cheese doesn't load (hangs?) and guvcview crashes the system and sends me back to the login. I assume these are related.

norberto (netcaster) wrote :

This issue still persists.

Changed in jockey (Ubuntu):
assignee: medinefamily (medinefamily) → alexutzu (alecsandro-bygass)
philou (coulphil) on 2012-03-14
affects: jockey (Ubuntu) → jockey (Ubuntu Linaro Evaluation Build)
Logan Rosen (logan) on 2012-03-17
affects: jockey (Ubuntu Linaro Evaluation Build) → jockey (Ubuntu)
Brian Curtis (bcurtiswx) on 2012-03-19
Changed in jockey (Ubuntu):
status: Fix Released → Confirmed
description: updated
Changed in jockey (Ubuntu):
status: Confirmed → Fix Committed
Changed in jockey (Ubuntu):
status: Fix Committed → Fix Released
Changed in jockey (Ubuntu):
assignee: alexutzu (alecsandro-bygass) → nobody
50 comments hidden view all 130 comments
Dave Gilbert (ubuntu-treblig) wrote :

Asked by Logan_ on #ubuntu-bugs to change status and remove assignee; seems reasonable given odd path of changes to status (Lots of status changes in short time, all by people who aren't members of any groups with recently created accounts - odd).

(01:13:13) Logan_: Can somebody change the status of https://bugs.launchpad.net/ubuntu/+source/jockey/+bug/804662 to "Confirmed" (and remove the assigned person)?
(01:13:14) ubot2: Launchpad bug 804662 in jockey "jockey-gtk crashed with TypeError in _execute_child(): execv() arg 2 must contain only strings" [Undecided,Fix released]
(01:13:46) Logan_: It was incorrectly marked as Fix Released by a newbie, and someone assigned it to himself randomly, and I can't change the values back.

Changed in jockey (Ubuntu):
status: Fix Released → Confirmed
Michael Luthardt (michalu) wrote :

Still persistend in 12.04 amd64 with all updates up to today. Please recify.

Caveman (caveman-712) wrote :

tried with lenovo G470 and received this error.

Matt Leotta (matt-leotta-t) wrote :

I'm seeing this same issue in 12.04 amd64.

Phill Whiteside (phillw) wrote :

same error reported when installing ATI driver via Hardware Drivers on amd64 12.04

Brian Curtis (bcurtiswx) wrote :

Changing IMP to High due to 222 people being affected and those that may _need_ Jockey to install drivers for better video res.

Changed in jockey (Ubuntu):
importance: Undecided → High
Brian Curtis (bcurtiswx) wrote :

If the dev wants more recent traces and such, let me know and I will make a new bug for them. For now this is triaged as all required information is present.

Changed in jockey (Ubuntu):
status: Confirmed → Triaged

Problem appears on a freshly installed beta2 amd64 iso desktop-image on an asus 1225b.

Todd Howe (tehowe) wrote :

After removing Catalyst 12.2 (full purge, install mesa, and reboot) on fully updated amd beta2 install, thought I'd try Jockey so I wouldn't have to rebuild the Catalyst driver after each kernel update.

I tried the post-release updates option. No dice.

Todd Howe (tehowe) wrote :

Actually, Jockey did install the fglrx-updates and fglrx-amdcccle-updates packages, and they are working after reboot, it's just that the Jockey GUI still doesn't know about them and reports they're not installed.

Linux galt 3.2.0-22-generic #35-Ubuntu SMP Tue Apr 3 18:33:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Todd Howe (tehowe) wrote :

Last comment, taking this route results in Catalyst Control Center and Catalyst Control Center administrative not having an icon in the Ubuntu launcher and neither of them will load. I'm pulling it all out and going back to installing the blob manually.

Andrew King (aking1012-com) wrote :

This bug still effects me, but only for the post-release driver.

My exact steps:
jockey-gtk &
Choose post release driver
Fails
Traceback (most recent call last):
  File "/usr/bin/jockey-gtk", line 382, in on_button_toggle_clicked
    'toggle', False):
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 670, in set_handler_enable
    handler_id, enable)
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 98, in convert_dbus_exceptions
    return fn(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 90, in dbus_sync_call_signal_wrapper
    raise _h_exception_exc
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 337, in _f_result_wrapper
    self._f_result = f()
  File "/usr/share/jockey/handlers/fglrx.py", line 95, in enable
    self._other_alternatives.set_alternative(other_fglrx_alternative)
  File "/usr/lib/python2.7/dist-packages/NvidiaDetector/alternatives.py", line 130, in set_alternative
    self._master_link, path])
  File "/usr/lib/python2.7/subprocess.py", line 506, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib/python2.7/subprocess.py", line 493, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
    errread, errwrite)
  File "/usr/lib/python2.7/subprocess.py", line 1249, in _execute_child
    raise child_exception
TypeError: execv() arg 2 must contain only strings
------------------------------------------------------------------------------
Release driver
Works
Without reboot:
Post release driver
Fails
Reboot
Release driver
Works
Reboot
Release driver shows as active
Post release driver
Fails same output as above

Redsandro (redsandro) wrote :

Brand new Lubuntu 12.04 Beta 2 installation.
First thing I do: Additional drivers.

Installing AMD post-releases gave me the jockey error dialog which said the error was similar to this one.

HaddadR (hr-haddad) wrote :

same problem on my HP dv6 Ubuntu 12.04 (and previous)

Benni Tampubolon (bennlucky7) wrote :

give me an error message after installing fglrx post release update. Before that i already instal BinaryDriverHowto ATI in https://help.ubuntu.com/community/BinaryDriverHowto/ATI. thanks

vladimir (gornvladimir) on 2012-04-08
summary: - jockey-gtk crashed with TypeError in _execute_child(): execv() arg 2
- must contain only strings
+ жокей-GTK столкнулся с TypeError в _execute_child (): execv () аргумент
+ 2 должен содержать только строки
Robin (robingape) on 2012-04-08
summary: - жокей-GTK столкнулся с TypeError в _execute_child (): execv () аргумент
- 2 должен содержать только строки
+ jockey-gtk crashed with TypeError in _execute_child(): execv() arg 2
+ must contain only strings
Robin (robingape) wrote :

It is confusing to change the bug summary from one langhuage to another after some 104 comments, and with over 200 people affected by it..

Robin (robingape) wrote :

Bug affects a system using AMD E450 built-in graphics, with 12.04β installed.

I can't install drivers for my videocard. This bugg stops me every time, FGLRX.

In 12.04 same bug as the previous version 11.10.FGLRX don't work causing battery drain and warming system.

Gérard Duteil (gerardduteil) wrote :

in lubuntu 12.04 beta2 this bug affect my fglrx graphic driver installation also.

Affects me, too. Can't get drivers installed for my ATI. Machine is brand new HP Envy 15 laptop with ATI + Intel HD 3000. Ubunu 12.04 beta, up to date.

Nick Leibert (nleibert87) wrote :

This is affecting me as well, ATI Radeon 6870 1GB with Ubuntu 12.04 beta fully updated, can't install the ati drivers.

Martin Pitt (pitti) wrote :

This was fixed in

jockey (0.9.4-0ubuntu1) oneiric; urgency=low
[...]
  * data/handlers/{fglrx,nvidia}.py: Prevent crash if
    get_alternative_by_name() returns nothing.

Changed in jockey (Ubuntu):
status: Triaged → Fix Released
Martin Pitt (pitti) wrote :
Changed in jockey (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Fix Released → In Progress
Martin Pitt (pitti) wrote :

Can anyone please run http://people.canonical.com/~pitti/tmp/test.py and send the output here?

Changed in jockey (Ubuntu):
status: In Progress → Incomplete
Lacyc3 (lacyc3) wrote :

~# python test.py
main_name i386-linux-gnu_gl_conf other_name x86_64-linux-gnu_gl_conf other_alt <NvidiaDetector.alternatives.Alternatives object at 0x8cc1c4c>
oa_name type <type 'NoneType'> value None

Martin Pitt (pitti) wrote :

Matthias ran the test script for me:

11:02:44 doko | $ python test.py
11:02:44 doko | main_name x86_64-linux-gnu_gl_conf other_name i386-linux-gnu_gl_conf other_alt NvidiaDetector.alternatives.Alternatives object at 0x18b6390>
11:02:44 doko | oa_name type <type 'str'> value /usr/lib/fglrx/alt_ld.so.conf

So the current code already checks against None, and the passed value is a string. So the subprocess command passes a different parameter which is not a string than the alternative path.

Alberto, can you please have a look at this?

Changed in jockey (Ubuntu):
assignee: Martin Pitt (pitti) → Alberto Milone (albertomilone)
status: Incomplete → New
status: New → Fix Released
assignee: Alberto Milone (albertomilone) → Martin Pitt (pitti)
Changed in nvidia-common (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Robin (robingape) wrote :

Test result of Martin's script, on a machine that has had fglrx added from synaptic:
:~/Downloads$ python test.py
main_name x86_64-linux-gnu_gl_conf other_name i386-linux-gnu_gl_conf other_alt <NvidiaDetector.alternatives.Alternatives object at 0x7f97c22cf4d0>
oa_name type <type 'str'> value /usr/lib/fglrx/alt_ld.so.conf
:~/Downloads$

guba@guba:~$ python test.py
main_name x86_64-linux-gnu_gl_conf other_name i386-linux-gnu_gl_conf other_alt <NvidiaDetector.alternatives.Alternatives object at 0x7fadff477490>
oa_name type <type 'str'> value /usr/lib/fglrx/alt_ld.so.conf

jupeter (piotr-plenik) wrote :

$ python test.py
main_name x86_64-linux-gnu_gl_conf other_name i386-linux-gnu_gl_conf other_alt <NvidiaDetector.alternatives.Alternatives object at 0x7fba812455d0>
oa_name type <type 'str'> value /usr/lib/fglrx/alt_ld.so.conf

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-common (Ubuntu):
status: New → Confirmed
humsuploh (dreamteam) wrote :

theunnamed@theunnamed-AS4820TG:~/Downloads$ python test.py
main_name i386-linux-gnu_gl_conf other_name x86_64-linux-gnu_gl_conf other_alt <NvidiaDetector.alternatives.Alternatives object at 0x9235cec>
oa_name type <type 'str'> value /usr/lib/fglrx/alt_ld.so.conf

Varun Priolkar (varunpr97) wrote :

I can confirm that it affects me. It came up during post release ATI drivers installation.

Rui Archer (novettam) wrote :

Getting this on a recent beta 2 install, during the installation of the ATI drivers.

test.py output:
main_name x86_64-linux-gnu_gl_conf other_name i386-linux-gnu_gl_conf other_alt <NvidiaDetector.alternatives.Alternatives object at 0x7f125bf61550>
oa_name type <type 'str'> value /usr/lib/fglrx/alt_ld.so.conf

Cant instal ATi video drivers

Matthias Becker (beckmatt) wrote :

happened while installing ati driver in ubuntu beta 12.04

Changed in nvidia-common (Ubuntu):
status: Confirmed → Fix Released
byrd740 (byrd740) wrote :

This affects me with attempt to install post-release upgrades

Martin Pitt (pitti) wrote :

There was no nvidia-common upload or other upload which would fix this, nor was there any comment given why the task was closed. Reopening.

Changed in nvidia-common (Ubuntu):
importance: Undecided → High
status: Fix Released → Triaged
Novyyyyy (novaroalessandro) wrote :

Crash in UBUNTU 12.04 during ATI driver installation.
If you cam keep me terminal line comand to resolve this grafic problem for

Intel® Core™2 Duo CPU T5550 @ 1.83GHz × 2
2d 3d ati radeon for this comand : lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV620 [Mobility Radeon HD 3400 Series]

Alan (ch-greensense) wrote :

I'm experiencing this bug on a clean install of 12.04. How can I get the fix?

Thanks.

thomas sørvoll (thohka) on 2012-06-20
affects: jockey (Ubuntu) → zoneminder (Ubuntu)
Logan Rosen (logan) on 2012-06-20
affects: zoneminder (Ubuntu) → jockey (Ubuntu)
Displaying first 40 and last 40 comments. View all 130 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers